> # NAME

> cgGLGetBufferObject - get OpenGL buffer object for a buffer

> # SYNOPSIS

>       #include <Cg/cgGL.h>

>       GLuint cgGLGetBufferObject( CGbuffer buffer );

> # PARAMETERS

> buffer

>   The buffer for which the associated OpenGL buffer object will be retrieved.

> # RETURN VALUES

> Returns the OpenGL buffer object associated with buffer.

> Returns 0 if an error occurs.

> # DESCRIPTION

> cgGLGetBufferObject returns the OpenGL buffer object associated with a buffer.

> # EXAMPLES

> GLuint id = cgGLGetBufferObject( myBuffer );

> # ERRORS

> CG_INVALID_BUFFER_HANDLE_ERROR is generated if buffer is not a valid buffer.

> # HISTORY

> cgGLGetBufferObject was introduced in Cg 2.0.

> # SEE ALSO

> cgCreateBuffer, cgGLCreateBuffer